View Issue Details

IDProjectCategoryView StatusLast Update
0000028ScribusUser Interfacepublic2004-08-06 23:12
Reportercbradney Assigned Toplinnell 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000028: Prepare shortcut keys for menus and dialogs, and more hotkeys for actions for 1.2 release
DescriptionUseability enhancement
TagsNo tags attached.
Patch

Relationships

has duplicate 0000049 closedcbradney Update hotkeys, and include hotkeys for tool selection 
has duplicate 0000122 closedplinnell Keyboard Short Cuts 
related to 0003837 acknowledged Metabug: Master pages/Page templates 
child of 0003821 acknowledged Metabug: Usability 

Activities

cbradney

2003-11-25 18:39

administrator   ~0000025

Add in ESC to stop editing an object
Add switching between objects by TAB
With something like this enabled, then single key hotkeys could be used for tool selection.

cbradney

2003-12-05 16:16

administrator   ~0000047

IRC: AVP

cbradney

2004-01-08 23:54

administrator   ~0000159

Add one to call up Page/apply template

plinnell

2004-02-20 14:17

viewer   ~0000520

http://developer.kde.org/documentation/standards/kde/style/keys/index.html

has good hints for defaults

prokoudine

2004-04-26 17:56

reporter   ~0001222

Please consider contacting to Inkscape/Sodipodi/GIMP developers to work out unified shortcuts for common actions like switching instruments (by one-key shortcut), calling context-sensitive menus (Alt + [A-Z]) etc.

This would be great for overall usability of open source software for creative people dealing with graphics.

louisdesjardins

2004-04-26 20:54

developer   ~0001224

I couldn’t agree more. Also please note that we need hotkeys to apply Styles. Quark allows the use of the keypad from the first ”level” (1-2-3, etc. without necessarily using Shift, Alt, Shift-Alt) but InDesign failed on that particular issue, forcing users to use their two hands to access stylesheet shortcuts. It would be great that the whole keypad be made available, along with or without any Shift, Alt, etc. combination.

cbradney

2004-08-06 23:12

administrator   ~0002128

Add a new one for 1.3 changes. This ones done.

Issue History

Date Modified Username Field Change
2003-11-19 18:10 cbradney New Issue
2003-11-25 18:39 cbradney Note Added: 0000025
2003-11-25 18:42 cbradney Relationship added has duplicate 0000049
2003-12-05 16:16 cbradney Note Added: 0000047
2004-01-07 08:59 cbradney Assigned To => plinnell
2004-01-07 08:59 cbradney Status new => assigned
2004-01-08 23:54 cbradney Note Added: 0000159
2004-02-20 14:17 plinnell Note Added: 0000520
2004-04-07 14:45 cbradney Category General => User Interface
2004-04-26 17:56 prokoudine Note Added: 0001222
2004-04-26 20:54 louisdesjardins Note Added: 0001224
2004-08-05 21:58 cbradney Summary Ensure shortcut keys are available for all often used menu items and hotkeys for actions => Prepare shortcut keys are available for menu items and more hotkeys for actions for 1.2 release
2004-08-05 21:59 cbradney Summary Prepare shortcut keys are available for menu items and more hotkeys for actions for 1.2 release => Prepare shortcut keys for menus and dialogs, and more hotkeys for actions for 1.2 release
2004-08-06 23:11 cbradney Status assigned => resolved
2004-08-06 23:11 cbradney Resolution open => fixed
2004-08-06 23:12 cbradney Status resolved => closed
2004-08-06 23:12 cbradney Note Added: 0002128
2006-04-07 18:35 mhanski Relationship added related to 0000967
2006-04-07 18:35 mhanski Relationship deleted related to 0000967
2006-05-15 18:24 christoph_s Relationship added child of 0003821
2006-05-18 19:42 christoph_s Relationship added related to 0003837
2008-02-08 16:45 christoph_s Relationship added has duplicate 0000122